#
# spec file for package perl-Class-Inner
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Class-Inner
Version:        0.200001
Release:        13.35
# MANUAL
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name Class-Inner
Summary:        A perlish implementation of Java like inner classes
Url:            http://search.cpan.org/dist/Class-Inner/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/A/AR/ARUNBEAR/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%{perl_requires}

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of working
dispatch to the parent class's method.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 26 2011 coolo@opensuse.org
- changed license, README says "same as perl"
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.200001
  * Fixed
    http://rt.cpan.org/Ticket/Display.html?id=43938
    http://rt.cpan.org/Ticket/Display.html?id=39140
    http://rt.cpan.org/Ticket/Display.html?id=33533
    Which are all really the same issue.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Oct 26 2008 gerrit.beine@gmx.de
- turned off testing for openSUSE 11.x
* Wed May 21 2008 gerrit.beine@gmx.de
- first release 0.1
